//==============================================================================
//
//	s1d13c00fb_spi.h
//
//	This is the function header for interface between the Raspberry Pi and the
//	Epson S1D13C00.
//
//	©SEIKO EPSON CORPORATION 2024. All rights reserved.
//
//	This driver software is distributed as is, without any warranty of any
//	kind, either express or implied as further specified in the GNU Public
//	License. This software may be used and distributed according to the terms
//	of the GNU Public License, version 2. See the file COPYING in the main
//	directory of this archive for more details.
//
//	You should have received a copy of the GNU General Public License along
//	with this program. If not, see <http://www.gnu.org/licenses/>.
//
//==============================================================================




#pragma once



// Hardware initialization and update
void s1d13c00_initialize( bool clearScreen );
void s1d13c00_updateDisplay( void );

// Register functions
u16  s1d13c00_readReg( u32 index );
void s1d13c00_writeReg( u32 index, u16 value );
void s1d13c00_writeRegSeq( u32* seq, int seqLen );			// Seq: sequence containing reg index and value pairs; seqLen: Count of all register indexes and values.
u16  s1d13c00_modifyReg( u32 index, u16 mask, u16 value );

// Memory functions
u16  s1d13c00_readMem( u32 offset );
void s1d13c00_readMemBurst( u32 offset, u16* date, u32 dataLen );
void s1d13c00_writeMem( u32 offset, u16 value );
void s1d13c00_writeMemBurst( u32 offset, const u16* data, u32 dataLen );
void s1d13c00_fillMem( u32 offset, u16 value, u32 len );



